Bug 77089 - (SOUND OPL3SA2)sndconfig doesn't recognise Yamaha OPL3-SAx sound system on Intel AL440X Mainboard
(SOUND OPL3SA2)sndconfig doesn't recognise Yamaha OPL3-SAx sound system on In...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-31 19:56 EST by eric.buller
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric.buller 2002-10-31 19:56:18 EST
Description of Problem:
 TRyied to run sndconfig on new installation of V7.3. Result is "A ISAPNP sound
card was fond in your system.  The details are:

Model: OPL3-SA3 Snd System:Unknown"

Then asks for I/O Port, IRQ, DMA channels.

Cancel does not kill app (as in other bug reports).

This was supported in my V7.0 install which was an older version of sndconfig.

Version-Release number of selected component (if applicable):
sndconfig V0.68


How Reproducible:


Steps to Reproduce:
1. Install on system with Intel AL440X MB
2. Log on as root
3. run sndconfig
4. detects sound card.
5. Asks for settings (I don't know how to determine them).
6. Can't cancel; have to kill terminal session.

Actual Results:


Expected Results:

sndconfig should recognise the sound card and be able to play a test sound.


Additional Information:

Sound card is listed in /var/log/dmesg but not in /proc
Comment 1 Bill Nottingham 2002-10-31 23:09:52 EST
Is there anything at all in /proc/isapnp?
Comment 2 eric.buller 2002-11-01 21:14:46 EST
Here is the section about the sound card. sndconfig doesn't seem to offer the
resources necessary to make the sound card work.

Card 1 'YMH0030:OPL3-SA3 Snd System' PnP version 1.0
  Logical device 0 'YMH0021:Unknown'
    Device is active
    Active port 0x240,0xe80,0x388,0x300,0x100
    Active IRQ 10 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0xf, size 0x10, 16-bit address decoding
      Port 0x530-0x530, align 0x7, size 0x8, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
      Port 0x330-0x330, align 0x1, size 0x2, 16-bit address decoding
      Port 0x370-0x370, align 0x1, size 0x2, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 0 8-bit byte-count type-A
      DMA 1 8-bit byte-count type-A
      Alternate resources 0:1
        Priority acceptable
        Port 0x240-0x240, align 0xf, size 0x10, 16-bit address decoding
        Port 0xe80-0xe80, align 0x7, size 0x8, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0x300-0x300, align 0x1, size 0x2, 16-bit address decoding
        Port 0x100-0xffe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10,11 High-Edge
        DMA 0,1,3 8-bit byte-count type-A
        DMA 0,1,3 8-bit byte-count type-A
      Alternate resources 0:2
        Priority functional
        Port 0x220-0x280, align 0xf, size 0x10, 16-bit address decoding
        Port 0x530-0xf48, align 0x7, size 0x8, 16-bit address decoding
        Port 0x388-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x300-0x334, align 0x1, size 0x2, 16-bit address decoding
        Port 0x100-0xffe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10,11 High-Edge
        DMA 0,1,3 8-bit byte-count type-A
        DMA 0,1,3 8-bit byte-count type-A
Comment 3 Bill Nottingham 2002-11-04 13:50:50 EST
OK, this ID nees to be added to the driver in the kernel.
Comment 4 eric.buller 2003-03-20 22:12:16 EST
Is anything being done about this?  There have been a few kernel updates but
none have addressed this problem.
Comment 5 Alan Cox 2003-06-10 13:59:35 EDT
YMH 0021 has been in the opl3sa2 driver for some time. I'm not sure this is the
problem therefore.
Comment 6 Bugzilla owner 2004-09-30 11:40:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.